gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] 01/03: individual updaters scripts for d


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] 01/03: individual updaters scripts for docs
Date: Tue, 28 Nov 2017 17:44:52 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

commit 4b12c33c6f598749b1516a129eb06b67f50f52d9
Author: Marcello Stanisci <address@hidden>
AuthorDate: Tue Nov 28 17:05:33 2017 +0100

    individual updaters scripts for docs
---
 taler-build/update_api.sh          | 17 ++++++++
 taler-build/update_doc_bank.sh     | 23 +++++++++++
 taler-build/update_doc_exchange.sh | 25 ++++++++++++
 taler-build/update_doc_merchant.sh | 22 +++++++++++
 taler-build/update_docs.sh         | 79 --------------------------------------
 taler-build/update_onboarding.sh   | 20 ++++++++++
 taler-build/update_tutorials.sh    | 27 ++++++++++---
 7 files changed, 128 insertions(+), 85 deletions(-)

diff --git a/taler-build/update_api.sh b/taler-build/update_api.sh
new file mode 100755
index 0000000..ec0cc0d
--- /dev/null
+++ b/taler-build/update_api.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/api
+fetch
+make html
+cp -r _build/html/* $HOME/build/api/html/
+
diff --git a/taler-build/update_doc_bank.sh b/taler-build/update_doc_bank.sh
new file mode 100755
index 0000000..3c8a6ac
--- /dev/null
+++ b/taler-build/update_doc_bank.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/bank
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+mkdir -p $HOME/build/bank/manual/pdf
+mkdir -p $HOME/build/bank/manual/html
+cp doc/taler-bank.pdf $HOME/build/bank/manual/pdf/
+cp doc/taler-bank.html $HOME/build/bank/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
diff --git a/taler-build/update_doc_exchange.sh 
b/taler-build/update_doc_exchange.sh
new file mode 100755
index 0000000..f5054d0
--- /dev/null
+++ b/taler-build/update_doc_exchange.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/exchange
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+doxygen
+cp doc/taler-exchange.pdf $HOME/build/exchange/manual/pdf/
+cp doc/taler-exchange.html $HOME/build/exchange/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
+cp doc/*.png $HOME/build/exchange/manual/html/
+cp doc/*.js $HOME/build/exchange/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/exchange/doxygen/
diff --git a/taler-build/update_doc_merchant.sh 
b/taler-build/update_doc_merchant.sh
new file mode 100755
index 0000000..3bb0fd5
--- /dev/null
+++ b/taler-build/update_doc_merchant.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/merchant
+fetch
+./bootstrap
+./configure --enable-only-doc
+make
+doxygen
+cp doc/manual.pdf $HOME/build/merchant-backend/manual/pdf/
+cp doc/manual.html $HOME/build/merchant-backend/manual/html/
+cp doc/*.css $HOME/build/merchant-backend/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/merchant-backend/doxygen/
diff --git a/taler-build/update_docs.sh b/taler-build/update_docs.sh
deleted file mode 100755
index debc011..0000000
--- a/taler-build/update_docs.sh
+++ /dev/null
@@ -1,79 +0,0 @@
-#!/bin/bash
-
-set -eu
-
-fetch () {
-  git clean -fdx
-  git fetch
-  # reset to updated upstream branch, but only if we're tracking a branch
-  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
-  git reset --hard "$branch"
-}
-
-# 1 merchant
-cd $HOME/merchant
-fetch
-./bootstrap
-./configure --enable-only-doc
-make
-doxygen
-cp doc/manual.pdf $HOME/build/merchant-backend/manual/pdf/
-cp doc/manual.html $HOME/build/merchant-backend/manual/html/
-cp doc/*.css $HOME/build/merchant-backend/manual/html/
-cp -r doxygen-doc/html/* $HOME/build/merchant-backend/doxygen/
-
-# 2 exchange
-cd $HOME/exchange
-fetch
-./bootstrap
-./configure --enable-only-doc
-make pdf
-make html
-doxygen
-cp doc/taler-exchange.pdf $HOME/build/exchange/manual/pdf/
-cp doc/taler-exchange.html $HOME/build/exchange/manual/html/
-cp doc/*.css $HOME/build/exchange/manual/html/
-cp doc/*.png $HOME/build/exchange/manual/html/
-cp doc/*.js $HOME/build/exchange/manual/html/
-cp -r doxygen-doc/html/* $HOME/build/exchange/doxygen/
-
-# 3 frontends tutorials
-cd $HOME/merchant-frontend-examples
-fetch
-make
-cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
-cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
-cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
-cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
-cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
-cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
-cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
-cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
-
-# 4 api
-cd $HOME/api
-fetch
-make html
-cp -r _build/html/* $HOME/build/api/html/
-
-# 5 onboarding
-cd $HOME/deployment
-fetch
-cd doc/
-make all
-cp *.css $HOME/build/onboarding/html/
-cp onboarding.html $HOME/build/onboarding/html/
-cp onboarding.pdf $HOME/build/onboarding/pdf/
-
-# 6 bank
-cd $HOME/bank
-fetch
-./bootstrap
-./configure --enable-only-doc
-make pdf
-make html
-mkdir -p $HOME/build/bank/manual/pdf
-mkdir -p $HOME/build/bank/manual/html
-cp doc/taler-bank.pdf $HOME/build/bank/manual/pdf/
-cp doc/taler-bank.html $HOME/build/bank/manual/html/
-cp doc/*.css $HOME/build/exchange/manual/html/
diff --git a/taler-build/update_onboarding.sh b/taler-build/update_onboarding.sh
new file mode 100755
index 0000000..9e38c80
--- /dev/null
+++ b/taler-build/update_onboarding.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/deployment
+fetch
+cd doc/
+make all
+cp *.css $HOME/build/onboarding/html/
+cp onboarding.html $HOME/build/onboarding/html/
+cp onboarding.pdf $HOME/build/onboarding/pdf/
+
diff --git a/taler-build/update_tutorials.sh b/taler-build/update_tutorials.sh
index 2168bff..cef16ca 100755
--- a/taler-build/update_tutorials.sh
+++ b/taler-build/update_tutorials.sh
@@ -1,9 +1,24 @@
 #!/bin/bash
 
-cd /var/www/merchant-frontend-examples/
-git clean -fdx
-git fetch
-# reset to updated upstream branch, but only if we're tracking a branch
-branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
-git reset --hard "$branch"
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+cd $HOME/merchant-frontend-examples
+fetch
 make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/
+

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]